org.apache.felix.scrplugin.helper

## Class AnnotationProcessorManager

- java.lang.Object
- - org.apache.felix.scrplugin.helper.AnnotationProcessorManager

All Implemented Interfaces:
  AnnotationProcessor

    public class AnnotationProcessorManager
    extends Object
    implements AnnotationProcessor

Supports mapping of built-in and custom java annotations to descriptions.

### Constructor Summary

Constructors
Constructor and Description
`AnnotationProcessorManager(Log log, ClassLoader classLoader)` Create annotation processor manager.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` A user friendly name
`int` `getRanking()` The ranking of this processor.
`void` `process(ScannedClass scannedClass, ClassDescription describedClass)` Processes annotations from the provided scanned class and adds descriptions to the object model based on the read annotations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationProcessorManager

    public AnnotationProcessorManager(Log log,
                                      ClassLoader classLoader)
                               throws SCRDescriptorFailureException

Create annotation processor manager.

Throws:
  `SCRDescriptorFailureException`

### Method Detail

#### process

    public void process(ScannedClass scannedClass,
                        ClassDescription describedClass)
                 throws SCRDescriptorException,
                        SCRDescriptorFailureException

Description copied from interface: `AnnotationProcessor`
Processes annotations from the provided scanned class and adds descriptions to the object model based on the read annotations. If this service processes an annotation, it should remove this annotation from the provided list to avoid duplicate processing by other processors (with higher ranking)

Specified by:
  `process` in interface `AnnotationProcessor`
Parameters:
  `scannedClass` - The scanned class.
  `describedClass` - The description container.
Throws:
  `SCRDescriptorException`
  `SCRDescriptorFailureException`
See Also:
  `AnnotationProcessor.process(org.apache.felix.scrplugin.annotations.ScannedClass, org.apache.felix.scrplugin.description.ClassDescription)`

#### getRanking

    public int getRanking()

Description copied from interface: `AnnotationProcessor`
The ranking of this processor.

Specified by:
  `getRanking` in interface `AnnotationProcessor`
See Also:
  `AnnotationProcessor.getRanking()`

#### getName

    public String getName()

Description copied from interface: `AnnotationProcessor`
A user friendly name

Specified by:
  `getName` in interface `AnnotationProcessor`
See Also:
  `AnnotationProcessor.getName()`